### Name: RFMethods
### Title: Simulation Techniques
### Aliases: RFMethods PrintMethodList GetMethodNames
### Keywords: spatial

### ** Examples

 PrintMethodList()

############################################################
##                                                        ##
##                     Figure 1 in                        ##
##           Gneiting, T., Sevcikova, H.,                 ##
##   Percival, D.B., Schlather, M. and Jiang, Y. (2005)   ##
##                                                        ##
############################################################
## the example below shows for which parameter combinations
## of the stable model, the cutoff method works
## note the method 'cutoff' itself has an automatic
## selection algorithm implemented and is called with
## the stable model only.
## Not run: 
##D 
##D stabletest <- function(alpha, theta, size=512) {
##D   RFparameters(CE.trials=1, CE.tolIm = 1e-8, CE.tolRe=0, CE.force = FALSE,
##D                CE.useprimes=TRUE, CE.strategy=0, Print=2)
##D   model <- list(list(model="cutoff", var=1, kappa=c(1, theta, 1)),
##D                 "(",
##D                 list(model="stable", var=1, scale=1, kappa=alpha)
##D                 )
##D   check <- CheckAndComplete(model=model, dim=2)
##D   if (check$error != 0) {
##D     cat("error", check$error, "\n")
##D     return(NA)
##D   }
##D   r <- paramextract(check$param[ , 1])$cutoffr
##D #  x <- c(r/size, r,  r /  size)
##D   x <- c(0, r, r / (size - 1)) * theta
##D   RFparameters(CE.mmin=rep(2 * size, 2))
##D   return(if (InitGaussRF(x, x, grid=TRUE, gridtriple=TRUE,
##D                          model=model, meth="circulant") == 0)
##D          r else NA)
##D }
##D 
##D alphas <- seq(1.52, 2.0, 0.01) # 0.02
##D thetas <- seq(0.05, 3.5, 0.05) #0.05( 2x)
##D m <- matrix(NA, nrow=length(thetas), ncol=length(alphas))
##D for (it in 1:length(thetas)) {
##D   theta <- thetas[it]
##D   for (ia in 1:length(alphas)) {
##D     alpha <- alphas[ia]
##D     cat("alpha=", alpha, "theta=", theta,"\n")
##D     print(unix.time(m[it, ia] <- stabletest(alpha=alpha, theta=theta)))
##D     if (is.na(m[it, ia])) break
##D   }
##D   if (any(is.finite(m))) image(thetas, alphas, m, col=rainbow(100))
##D }
##D 
## End(Not run) 




