### Name: nipals
### Title: Non-linear Iterative Partial Least Squares (NIPALS) algorithm
### Aliases: nipals print.nipals scatter.nipals
### Keywords: multivariate

### ** Examples

data(doubs)
## nipals is equivalent to dudi.pca when there are no NA
acp1 <- dudi.pca(doubs$mil, scannf = FALSE, nf = 2)
nip1 <- nipals(doubs$mil)
par(mfrow=c(2,2))
barplot(acp1$eig, main ="dudi.pca")
barplot(nip1$eig, main = "nipals")
plot(acp1$c1[,1], nip1$c1[,1], main = "col scores", xlab="dudi.pca", ylab="nipals")
plot(acp1$li[,1], nip1$li[,1], main = "row scores", xlab="dudi.pca",
ylab="nipals")

## Not run: 
##D ## with NAs:
##D doubs$mil[1,1] <- NA
##D nip2 <- nipals(doubs$mil)
##D cor(nip1$li, nip2$li)
##D nip1$eig
##D nip2$eig
##D 
## End(Not run)



