### Name: findmaxasc
### Title: Find Local Maxima on a Map of Class 'asc'
### Aliases: findmaxasc
### Keywords: spatial

### ** Examples


## example, to find the mode of the utilization distribution (UD) of an
## animal:

## load the data
data(puechabon)
loc <- puechabon$locs[, c("X", "Y")]
id <- puechabon$locs[, "Name"]

## Estimation of UD for the four animals
(ud <- kernelUD(loc, id))
image(ud)

## Now consider the UD of Chou
map <- ud$Chou$UD
image(map)

## Find the local maxima:
maxim <- findmaxasc(map)
points(maxim, col="red", pch=16, cex=1.5)





