### Name: lexdec
### Title: Lexical decision latencies for 79 English nouns
### Aliases: lexdec
### Keywords: datasets

### ** Examples
## Not run: 
##D data(lexdec)
##D library(lme4, keep.source = FALSE)
##D 
##D lexdec.lmer = lmer(RT ~ 1 + Correct + Trial + PrevType * meanWeight + 
##D Frequency + NativeLanguage * Length + (1|Subject) + (1|Word), 
##D data = lexdec)
##D pvals.fnc(lexdec.lmer)$summary
##D 
##D # random slopes
##D 
##D lexdec.lmerA = lmer(RT ~ 1 + Correct + Trial + PrevType * meanWeight + 
##D Frequency + NativeLanguage * Length + (Trial|Subject) + (1|Word), 
##D data = lexdec)
##D anova(lexdec.lmer, lexdec.lmerA)
##D 
##D lexdec.lmerB = lmer(RT ~ 1 + Correct + Trial + PrevType * meanWeight + 
##D Frequency + NativeLanguage * Length + (Trial|Subject) + 
##D (Length|Subject) + (1|Word), data = lexdec)
##D anova(lexdec.lmerA, lexdec.lmerB)
##D 
##D # model criticism
##D 
##D qqnorm(resid(lexdec.lmerB))
##D 
##D lexdec.lmerC = lmer(RT ~ 1 + Correct + Trial + PrevType * meanWeight + 
##D Frequency + NativeLanguage * Length + 
##D (Trial|Subject) + (Length|Subject) + (1|Word), 
##D data = lexdec[abs(scale(resid(lexdec.lmerB)))<2,])
##D 
##D qqnorm(resid(lexdec.lmerC))
##D # for models with random correlation parameters, pvals.fnc does not work 
##D # as mcmcsamp() (now in lme4) is currently under reconstruction 
##D # pvals.fnc(lexdec.lmerC)$summary    (currently broken)
##D 
## End(Not run)


