### Name: plot.logistic.fit.fnc
### Title: Plot for goodness of fit of logistic regression
### Aliases: plot.logistic.fit.fnc
### Keywords: regression

### ** Examples
## Not run: 
##D data(dative)
##D library(lme4, keep.source=FALSE)
##D 
##D dative.lrm = lrm(RealizationOfRecipient ~ AccessOfTheme + 
##D    AccessOfRec + LengthOfRecipient + AnimacyOfRec +
##D    AnimacyOfTheme + PronomOfTheme + DefinOfTheme + LengthOfTheme +
##D    SemanticClass + Modality, data = dative)
##D 
##D dative.glmm = lmer(RealizationOfRecipient ~ AccessOfTheme + 
##D    AccessOfRec + LengthOfRecipient + AnimacyOfRec +
##D    AnimacyOfTheme + PronomOfTheme + DefinOfTheme + LengthOfTheme +
##D    SemanticClass + Modality + (1|Verb), 
##D    data = dative, family = "binomial")
##D 
##D par(mfrow=c(2,2))
##D plot.logistic.fit.fnc (dative.lrm, dative)
##D mtext("lrm", 3, 3)
##D plot.logistic.fit.fnc (dative.glmm, dative)
##D mtext("lmer", 3, 3)
##D plot.logistic.fit.fnc (dative.lrm, dative, scalesize=0.2)
##D mtext("lrm", 3, 3)
##D plot.logistic.fit.fnc (dative.glmm, dative, method="shingle")
##D mtext("lmer", 3, 3)
##D par(mfrow=c(1,1))
##D 
## End(Not run)


