### Name: pvals.fnc
### Title: Compute p-values and MCMC confidence intervals for mixed models
### Aliases: pvals.fnc
### Keywords: regression

### ** Examples

  ## Not run: 
##D   data(primingHeid) 
##D   library(lme4, keep.source=FALSE)
##D 
##D   # remove extreme outliers
##D   primingHeid = primingHeid[primingHeid$RT < 7.1,]
##D 
##D   # fit mixed-effects model
##D 
##D   primingHeid.lmer = lmer(RT ~ RTtoPrime * ResponseToPrime + 
##D     Condition + (1|Subject) + (1|Word), data = primingHeid)
##D 
##D   mcmc = pvals.fnc(primingHeid.lmer, nsim=10000, withMCMC=TRUE)
##D 
##D   mcmc$fixed
##D   mcmc$random
##D   
## End(Not run)



