### Name: markcorrint
### Title: Mark Correlation Integral
### Aliases: markcorrint
### Keywords: spatial nonparametric

### ** Examples

    # CONTINUOUS-VALUED MARKS:
    # (1) Spruces
    # marks represent tree diameter
    data(spruces)
    # mark correlation function
    ms <- markcorrint(spruces)
    plot(ms)

    # (2) simulated data with independent marks
    X <- rpoispp(100)
    X <- X %mark% runif(X$n)
    Xc <- markcorrint(X)
    plot(Xc)
    
    # MULTITYPE DATA:
    # Hughes' amacrine data
    # Cells marked as 'on'/'off'
    data(amacrine)
    M <- markcorrint(amacrine, function(m1,m2) {m1==m2},
                  correction="translate")
    plot(M)



