### Name: vcov.ppm
### Title: Variance-Covariance Matrix for a Fitted Point Process Model
### Aliases: vcov.ppm
### Keywords: spatial methods models

### ** Examples

  X <- rpoispp(42)
  fit <- ppm(X, ~ x + y)
  vcov(fit)
  vcov(fit, what="Fish")

  # example of singular system
  data(demopat)
  m <- ppm(demopat, ~polynom(x,y,2))
  ## Not run: 
##D     try(v <- vcov(m))
##D   
## End(Not run)
  # rescale x, y coordinates to range [0,1] x [0,1] approximately
  demopat <- rescale(demopat, 10000)
  m <- ppm(demopat, ~polynom(x,y,2))
  v <- vcov(m)  



