### Name: add1.cca
### Title: Add or Drop Single Terms to a Constrained Ordination Model
### Aliases: add1.cca drop1.cca
### Keywords: multivariate models

### ** Examples

data(dune)
data(dune.env)
## Automatic model building with permutation tests
step(rda(dune ~  1, dune.env), reformulate(names(dune.env)), test="perm")
## Manual model building
## -- define the maximal model for scope
mbig <- rda(dune ~  ., dune.env)
## -- define an empty model to start with
m0 <- rda(dune ~ 1, dune.env)
## -- manual selection and updating
add1(m0, scope=formula(mbig), test="perm")
m0 <- update(m0, . ~ . + Management)
add1(m0, scope=formula(mbig), test="perm")
m0 <- update(m0, . ~ . + Moisture)
## -- included variables still significant?
drop1(m0, test="perm")
add1(m0, scope=formula(mbig), test="perm")



