### Name: isomap
### Title: Isometric Feature Mapping Ordination
### Aliases: isomap isomapdist plot.isomap summary.isomap
###   print.summary.isomap print.isomap rgl.isomap
### Keywords: multivariate

### ** Examples

## The following examples also overlay minimum spanning tree to
## the graphics in red.
op <- par(mar=c(4,4,1,1)+0.2, mfrow=c(2,2))
data(BCI)
dis <- vegdist(BCI)
tr <- spantree(dis)
pl <- ordiplot(cmdscale(dis), main="cmdscale")
lines(tr, pl, col="red")
ord <- isomap(dis, k=3)
ord
pl <- plot(ord, main="isomap k=3")
lines(tr, pl, col="red")
pl <- plot(isomap(dis, k=5), main="isomap k=5")
lines(tr, pl, col="red")
pl <- plot(isomap(dis, epsilon=0.45), main="isomap epsilon=0.45")
lines(tr, pl, col="red")
par(op)
## The following command requires user interaction
## Not run: 
##D rgl.isomap(ord, size=4, color="hotpink")
## End(Not run)



