### Encoding: UTF-8

### Name: kendall.global
### Title: Kendall coefficient of concordance
### Aliases: kendall.global kendall.post
### Keywords: multivariate nonparametric

### ** Examples

data(mite)
mite.hel <- decostand(mite, "hel")

# Reproduce the results shown in Table 2 of Legendre (2005), a single group
mite.small <- mite.hel[c(4,9,14,22,31,34,45,53,61,69),c(13:15,23)]
kendall.global(mite.small)
kendall.post(mite.small, mult="holm")

# Reproduce the results shown in Tables 3 and 4 of Legendre (2005), 2 groups
group <-c(1,1,2,1,1,1,1,1,2,1,1,1,1,1,1,2,1,2,1,1,1,1,2,1,2,1,1,1,1,1,2,2,2,2,2)
kendall.global(mite.hel, group=group)
kendall.post(mite.hel, group=group, mult="holm", nperm=99)



